KDiskFreeSp class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KDiskFreeSp Class Reference

This class parses the output of "df" to find the disk usage information for a given partition (mount point). More...

`#include <kdiskfreesp.h>`

Inheritance diagram for KDiskFreeSp:

[legend]
Collaboration diagram for KDiskFreeSp:

[legend]
List of all members.

## Signals
void | foundMountPoint (const QString &mountPoint, unsigned long kBSize, unsigned long kBUsed, unsigned long kBAvail)
void | foundMountPoint (const unsigned long &, const unsigned long &, const unsigned long &, const QString &)
void | done ()
## Public Member Functions
| KDiskFreeSp (QObject *parent=0, const char *name=0)
| ~KDiskFreeSp ()
| Destructor - this object autodeletes itself when it's done.
int | readDF (const QString &mountPoint)
| Call this to fire a search on the disk usage information for `mountPoint`.
## Static Public Member Functions
KDiskFreeSp * | findUsageInfo (const QString &path)
| Call this to fire a search on the disk usage information for the mount point containing `path`.

## Detailed Description

This class parses the output of "df" to find the disk usage information for a given partition (mount point).

Definition at line 38 of file kdiskfreesp.h.

## Constructor & Destructor Documentation

KDiskFreeSp::~KDiskFreeSp | ( |  | ) |

| Destructor - this object autodeletes itself when it's done. Definition at line 63 of file kdiskfreesp.cpp.

## Member Function Documentation

int KDiskFreeSp::readDF | ( | const QString & | mountPoint | ) |

| Call this to fire a search on the disk usage information for `mountPoint`. foundMountPoint will be emitted if this mount point is found, with the info requested. done is emitted in any case. Definition at line 80 of file kdiskfreesp.cpp. References KProcess::clearArguments(), QString::fromLocal8Bit(), KProcess::isRunning(), KProcess::NotifyOnExit, and KProcess::start(). Referenced by findUsageInfo(), and KFilePropsPlugin::KFilePropsPlugin().

KDiskFreeSp * KDiskFreeSp::findUsageInfo | ( | const QString & | path | ) | `[static]`

| Call this to fire a search on the disk usage information for the mount point containing `path`. foundMountPoint will be emitted if this mount point is found, with the info requested. done is emitted in any case. Definition at line 163 of file kdiskfreesp.cpp. References KIO::findPathMountPoint(), and readDF().

The documentation for this class was generated from the following files:

- kdiskfreesp.h
- kdiskfreesp.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:16:17 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001